statistics-0.10.2.0: A library of statistical types, data, and functions

Portability | DeriveDataTypeable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | None

Statistics.Distribution.Beta

Contents

- Constructor
- Accessors

Description

Synopsis

- data BetaDistribution
- betaDistr :: Double -> Double -> BetaDistribution
- improperBetaDistr :: Double -> Double -> BetaDistribution
- bdAlpha :: BetaDistribution -> Double
- bdBeta :: BetaDistribution -> Double

# Documentation

data BetaDistribution

The beta distribution

Instances

Eq BetaDistribution |
Read BetaDistribution |
Show BetaDistribution |
Typeable BetaDistribution |
ContGen BetaDistribution |
Variance BetaDistribution |
MaybeVariance BetaDistribution |
Mean BetaDistribution |
MaybeMean BetaDistribution |
ContDistr BetaDistribution |
Distribution BetaDistribution |

# Constructor

betaDistr

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> BetaDistribution |

Create beta distribution. Both shape parameters must be positive.

improperBetaDistr

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> BetaDistribution |

Create beta distribution. This construtor doesn't check parameters.

# Accessors

bdAlpha :: BetaDistribution -> Double

Alpha shape parameter

bdBeta :: BetaDistribution -> Double

Beta shape parameter